corda / net.corda.core.contracts / LinearState / ClauseVerifier

# ClauseVerifier

`class ClauseVerifier<S : LinearState, C : CommandData> : Clause<S, C, Unit>`

Standard clause to verify the LinearState safety properties.

### Constructors

<init> | `ClauseVerifier()` Standard clause to verify the LinearState safety properties.

### Inherited Properties

requiredCommands | `open val requiredCommands: Set<Class<out CommandData>>` Determine whether this clause runs or not

### Functions

verify | `fun verify(tx: TransactionForContract, inputs: List<S>, outputs: List<S>, commands: List<AuthenticatedObject<C>>, groupingKey: Unit?): Set<C>` Verify the transaction matches the conditions from this clause. For example, a "no zero amount output" clause would check each of the output states that it applies to, looking for a zero amount, and throw IllegalStateException if any matched.